package cn.com.qmth.examcloud.starters.face.verify;

import org.springframework.boot.context.properties.ConfigurationProperties;

import java.io.Serializable;

/**
 * 人脸识别相关API配置信息
 *
 * @author: QMTH
 * @since: 2019/03/25
 */
@ConfigurationProperties(prefix = "examcloud.starters.face.verify", ignoreUnknownFields = false)
public class FaceVerifyProperties implements Serializable {

    private static final long serialVersionUID = 1L;

    /*
     * 是否启用
     */
    private Boolean active;

    /*
     * Face++ API Key
     */
    private String facePlusKey;

    /*
     * Face++ API Secret
     */
    private String facePlusSecret;

    /*
     * 百度 API Key
     */
    private String baiduKey;

    /*
     * 百度 API Secret
     */
    private String baiduSecret;

    /**
     * 短信预警手机号(多个逗号分隔)
     */
    private String noticePhones;

    /**
     * 预警短信模板
     */
    private String smsTemplate;

    public Boolean getActive() {
        return active;
    }

    public void setActive(Boolean active) {
        this.active = active;
    }

    public String getFacePlusKey() {
        return facePlusKey;
    }

    public void setFacePlusKey(String facePlusKey) {
        this.facePlusKey = facePlusKey;
    }

    public String getFacePlusSecret() {
        return facePlusSecret;
    }

    public void setFacePlusSecret(String facePlusSecret) {
        this.facePlusSecret = facePlusSecret;
    }

    public String getBaiduKey() {
        return baiduKey;
    }

    public void setBaiduKey(String baiduKey) {
        this.baiduKey = baiduKey;
    }

    public String getBaiduSecret() {
        return baiduSecret;
    }

    public void setBaiduSecret(String baiduSecret) {
        this.baiduSecret = baiduSecret;
    }

    public String getNoticePhones() {
        return noticePhones;
    }

    public void setNoticePhones(String noticePhones) {
        this.noticePhones = noticePhones;
    }

    public String getSmsTemplate() {
        return smsTemplate;
    }

    public void setSmsTemplate(String smsTemplate) {
        this.smsTemplate = smsTemplate;
    }

}