package cn.com.qmth.examcloud.starters.face.verify.model;

import java.io.Serializable;

/**
 * @author: QMTH
 * @since: 2019/3/25
 */
public interface IResult extends Serializable {

    /**
     * 是否人脸活体检测通过
     */
    boolean isDetectPass();

    /**
     * 是否人脸识别对比通过
     */
    boolean isComparePass();

    /**
     * 置信度
     */
    Double getConfidenceValue();

    /**
     * 置信度阈值(JSON)
     */
    String getThresholdValue();

    /**
     * 人脸数
     */
    int getFaceSize();

    /**
     * 请求并发是否超限
     */
    boolean requestOutOfLimit();

    /**
     * Token是否过期
     */
    boolean isTokenExpired();

}